com.mxgraph.util.svg

## Class AWTPolylineProducer

- java.lang.Object
- - com.mxgraph.util.svg.AWTPolylineProducer

- All Implemented Interfaces:
    PointsHandler, ShapeProducer
  Direct Known Subclasses:
    AWTPolygonProducer

      public class AWTPolylineProducer
      extends java.lang.Object
      implements PointsHandler, ShapeProducer

  This class produces a polyline shape from a reader.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `newPath` Is the current path a new one?
    `protected java.awt.geom.GeneralPath` | `path` The current path.
    `protected int` | `windingRule` The winding rule to use to construct the path.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AWTPolylineProducer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.awt.Shape` | `createShape(java.lang.String text, int wr)` Utility method for creating an ExtendedGeneralPath.
    `void` | `endPoints()` Implements `PointsHandler.endPoints()`.
    `java.awt.Shape` | `getShape()` Returns the Shape object initialized during the last parsing.
    `int` | `getWindingRule()` Returns the current winding rule.
    `void` | `point(float x, float y)` Implements `PointsHandler.point(float,float)`.
    `void` | `setWindingRule(int i)` Sets the winding rule used to construct the path.
    `void` | `startPoints()` Implements `PointsHandler.startPoints()`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### path

          protected java.awt.geom.GeneralPath path

      The current path.

    - #### newPath

          protected boolean newPath

      Is the current path a new one?

    - #### windingRule

          protected int windingRule

      The winding rule to use to construct the path.

  - ### Constructor Detail

    - #### AWTPolylineProducer

          public AWTPolylineProducer()

  - ### Method Detail

    - #### createShape

          public static java.awt.Shape createShape(java.lang.String text,
                                   int wr)
                                            throws ParseException

      Utility method for creating an ExtendedGeneralPath.
      Parameters:
        `text` - The text representation of the path specification.
        `wr` - The winding rule to use for creating the path.
      Throws:
        `ParseException`

    - #### setWindingRule

          public void setWindingRule(int i)

      Sets the winding rule used to construct the path.
      Specified by:
        `setWindingRule` in interface `ShapeProducer`

    - #### getWindingRule

          public int getWindingRule()

      Returns the current winding rule.
      Specified by:
        `getWindingRule` in interface `ShapeProducer`

    - #### getShape

          public java.awt.Shape getShape()

      Returns the Shape object initialized during the last parsing.
      Specified by:
        `getShape` in interface `ShapeProducer`
      Returns:
        the shape or null if this handler has not been used by a parser.

    - #### startPoints

          public void startPoints()
                           throws ParseException

      Implements `PointsHandler.startPoints()`.
      Specified by:
        `startPoints` in interface `PointsHandler`
      Throws:
        `ParseException` - if an error occured while processing the points

    - #### point

          public void point(float x,
                   float y)
                     throws ParseException

      Implements `PointsHandler.point(float,float)`.
      Specified by:
        `point` in interface `PointsHandler`
      Parameters:
        `x` - the x coordinate of the point
        `y` - the y coordinate of the point
      Throws:
        `ParseException` - if an error occured while processing the points

    - #### endPoints

          public void endPoints()
                         throws ParseException

      Implements `PointsHandler.endPoints()`.
      Specified by:
        `endPoints` in interface `PointsHandler`
      Throws:
        `ParseException` - if an error occured while processing the points

Copyright (c) 2010 Gaudenz Alder. All rights reserved.